Skip to main content
POST
/
platform
/
adminuser
/
groups
/
{groupCode}
/
addusers
Error
A valid request URL is required to generate request examples
{
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "description": "<string>",
  "groupCode": "<string>",
  "name": "<string>",
  "scopeId": 123,
  "scopeTypeId": 123,
  "users": [
    {
      "emailAddress": "<string>",
      "externalId": "<string>",
      "firstName": "<string>",
      "id": "<string>",
      "identityProviderId": "<string>",
      "isActive": true,
      "lastName": "<string>",
      "localeCode": "<string>",
      "optInToEmail": true,
      "optInToTextMessage": true,
      "password": "<string>",
      "phoneNumber": "<string>",
      "roles": [
        {
          "assignedInScope": {
            "id": 123,
            "name": "<string>",
            "type": "<string>"
          },
          "auditInfo": {
            "createBy": "<string>",
            "createDate": "2023-11-07T05:31:56Z",
            "updateBy": "<string>",
            "updateDate": "2023-11-07T05:31:56Z"
          },
          "roleId": 123,
          "roleName": "<string>",
          "roleResources": [
            {
              "id": "<string>",
              "type": "<string>"
            }
          ],
          "roleTags": [
            "<string>"
          ],
          "userId": "<string>"
        }
      ],
      "systemData": {
        "createdOn": "2023-11-07T05:31:56Z",
        "failedLoginAttemptCount": 123,
        "firstFailedLoginAttemptOn": "2023-11-07T05:31:56Z",
        "isLocked": true,
        "isPasswordChangeRequired": true,
        "lastLockedOn": "2023-11-07T05:31:56Z",
        "lastLoginOn": "2023-11-07T05:31:56Z",
        "lastPasswordChangeOn": "2023-11-07T05:31:56Z",
        "remainingLoginAttempts": 123,
        "updatedOn": "2023-11-07T05:31:56Z"
      },
      "userName": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

groupCode
string
required

Query Parameters

responseFields
string

limits which fields are returned in the response body

Body

application/json

Response

OK

auditInfo
object
description
string | null

Human-readable description of the group

groupCode
string | null

User Group Id

name
string | null

Human-readable Name of the group

scopeId
integer<int32>

Scope Id

scopeTypeId
integer<int32>

Scope Type Id

users
object[] | null

Users associate with a group